> ## Documentation Index
> Fetch the complete documentation index at: https://docs.runaether.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a task



## OpenAPI

````yaml api-reference/openapi.v1.json POST /tasks
openapi: 3.1.0
info:
  title: Aether Public API
  version: 0.1.0
  description: >-
    The versioned, public Aether REST API. Authenticate with an `aether_`
    platform API key or a session token.
servers:
  - url: https://api.runaether.dev/v1
security:
  - bearerAuth: []
paths:
  /tasks:
    post:
      tags:
        - tasks
      summary: Create a task
      operationId: createTask
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateTaskRequest'
        required: true
      responses:
        '202':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateTaskResponse'
          description: Accepted
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Bad Request
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unauthorized
        '402':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Payment Required
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Not Found
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unprocessable Entity
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Internal Server Error
components:
  schemas:
    CreateTaskRequest:
      additionalProperties: false
      properties:
        agent_type:
          enum:
            - codex
            - claude-code
            - opencode
            - cursor
          type: string
        auto_fix_ci:
          type: boolean
        auto_fix_pr_comments:
          type: boolean
        auto_rebase:
          type: boolean
        base_branch:
          minLength: 1
          type: string
        context:
          $ref: '#/components/schemas/PromptContext'
        interaction_mode:
          enum:
            - default
            - plan
          type: string
        model:
          minLength: 1
          type: string
        project_id:
          format: uuid
          type: string
        prompt:
          minLength: 1
          type: string
        reasoning_effort:
          enum:
            - ultra
            - max
            - xhigh
            - high
            - medium
            - low
            - ultrathink
            - ultracode
            - none
          type:
            - string
            - 'null'
      required:
        - project_id
        - prompt
        - agent_type
        - model
        - interaction_mode
        - auto_fix_ci
        - auto_fix_pr_comments
        - auto_rebase
      type: object
    CreateTaskResponse:
      additionalProperties: false
      properties:
        id:
          format: uuid
          type: string
        name:
          minLength: 1
          type: string
      required:
        - id
        - name
      type: object
    ErrorResponse:
      additionalProperties: false
      properties:
        code:
          type: string
        error:
          minLength: 1
          type: string
      required:
        - error
      type: object
    PromptContext:
      additionalProperties: false
      properties:
        attachments:
          items:
            $ref: '#/components/schemas/Attachment'
          type: array
        files:
          items:
            $ref: '#/components/schemas/FileReference'
          type: array
      type: object
    Attachment:
      additionalProperties: false
      properties:
        data:
          minLength: 1
          type: string
        filename:
          minLength: 1
          type: string
        mediaType:
          minLength: 1
          type: string
      required:
        - filename
        - mediaType
        - data
      type: object
    FileReference:
      additionalProperties: false
      properties:
        include:
          type: boolean
        path:
          minLength: 1
          type: string
        selection:
          $ref: '#/components/schemas/FileSelection'
      required:
        - path
        - include
      type: object
    FileSelection:
      additionalProperties: false
      properties:
        endLine:
          format: int64
          minimum: 1
          type: integer
        startLine:
          format: int64
          minimum: 1
          type: integer
      required:
        - startLine
        - endLine
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      scheme: bearer
      type: http

````